=== Testing/CMakeLists.txt ===
--- 
+++ 
@@ -60,3 +60,8 @@
 ADD_TEST_FROM_BUG_TRACKER(5032 test.h)
 ADD_TEST_FROM_BUG_TRACKER(5059 test.h)
 ADD_TEST_FROM_BUG_TRACKER(5086 test.h)
+ADD_TEST_FROM_BUG_TRACKER(9934 test.h)
+ADD_TEST_FROM_BUG_TRACKER(9935 test.cxx)
+ADD_TEST_FROM_BUG_TRACKER(9937 test.cxx)
+ADD_TEST_FROM_BUG_TRACKER(9938 test.cxx)
+ADD_TEST_FROM_BUG_TRACKER(9939 test.cxx)
