=== Utilities/CMakeLists.txt ===
#-----------------------------------------------------------------------------
# Create the kwsys library for ITK.
SET(KWSYS_NAMESPACE kwssys)
SET(KWSYS_USE_SystemTools 1)
SET(KWSYS_USE_RegularExpression 1)
SET(KWSYS_USE_Directory 1)
SET(KWSYS_USE_Base64 1)
SET(KWSYS_USE_FundamentalType 1)
SET(KWSYS_USE_CommandLineArguments 1)
SET(KWSYS_USE_Process 1)
SET(KWSYS_USE_DynamicLoader 1)
SET(KWSYS_USE_Glob 1)
SET(KWSYS_USE_Registry 1)
SET(KWSYS_HEADER_ROOT ${KWStyle_BINARY_DIR}/Utilities)
SET(KWSYS_PROPERTIES_CXX ${KWStyle_LIBRARY_PROPERTIES})

# Do not install header
SET(KWStyle_INSTALL_NO_DEVELOPMENT 1)

SET(KWSYS_LIBRARY_INSTALL_DIR)
IF(NOT KWStyle_INSTALL_NO_LIBRARIES)
  SET(KWSYS_LIBRARY_INSTALL_DIR ${KWStyle_INSTALL_LIB_DIR})
ENDIF(NOT KWStyle_INSTALL_NO_LIBRARIES)
SET(KWSYS_HEADER_INSTALL_DIR)
IF(NOT KWStyle_INSTALL_NO_DEVELOPMENT)
  SET(KWSYS_HEADER_INSTALL_DIR ${KWStyle_INSTALL_INCLUDE_DIR}/Utilities)
ENDIF(NOT KWStyle_INSTALL_NO_DEVELOPMENT)
SET(KWSYS_INSTALL_COMPONENT_NAME_RUNTIME RuntimeLibraries)
SET(KWSYS_INSTALL_COMPONENT_NAME_DEVELOPMENT Development)
SUBDIRS(KWSys)
