=== debian/changelog ===
kwstyle (1.0.0+cvs20120330-3) unstable; urgency=low

  * Fix hardening compilation. Closes: #666529
  * Really fix test failure on arch where char is unsigned
  * add --parallel flag.

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Apr 2012 13:42:07 +0200

kwstyle (1.0.0+cvs20120330-2) unstable; urgency=low

  * Fix test failure on arch where char is unsigned.

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Apr 2012 21:44:20 +0200

kwstyle (1.0.0+cvs20120330-1) unstable; urgency=low

  * New upstream
  * Use my d.o alias
  * Bump Std-Vers to 3.9.3, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Use hardening flags
  * Use straight dh, instead of cdbs

 -- Mathieu Malaterre <malat@debian.org>  Fri, 30 Mar 2012 15:55:58 +0200

kwstyle (1.0.0+cvs20090716-3) unstable; urgency=low

  * Fix debian/copyright file

 -- Mathieu Malaterre (malat) <mathieu.malaterre@gmail.com>  Wed, 02 Sep 2009 14:56:02 +0200

kwstyle (1.0.0+cvs20090716-2) unstable; urgency=low

  * Fix KWStyle documentation
  * Some lintian fix from unstable 

 -- Mathieu Malaterre (malat) <mathieu.malaterre@gmail.com>  Wed, 05 Aug 2009 10:02:51 +0200

kwstyle (1.0.0+cvs20090716-1) unstable; urgency=low

  * Initial release (Closes: #537227)

 -- Mathieu Malaterre (malat) <mathieu.malaterre@gmail.com>  Thu, 16 Jul 2009 11:40:13 +0200
