=== debian/control ===
Source: kwstyle
Section: devel
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 8), cmake
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/kwstyle.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/kwstyle.git
Homepage: http://public.kitware.com/KWStyle/

Package: kwstyle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Style checker for source code
 KWStyle is integrated in the software process to ensure that the code written
 by several users is consistent and can be viewed/printed as it was written by
 one person.
 .
 KWStyle is primarily checking C/C++ source code but can be easily extended to
 other languages. It assumes that the code is syntaxically correct, i.e it 
 compiles on a standard compiler.
