=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
# http://bugs.debian.org/653916
CFLAGS   += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --parallel

CMAKE_EXTRA_FLAGS += -DCMAKE_SKIP_RPATH=ON \
                -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

pkg_run = kwstyle

override_dh_install:
	dh_installman -p$(pkg_run) debian/KWStyle.1
	dh_installdocs -p$(pkg_run) Web

get-orig-source:
	./debian/get-orig-source

.PHONY: get-orig-source
