## kwstyle 1.0.1%2Bgit3224cf2

=== debian/changelog ===
kwstyle (1.0.1+git3224cf2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:39 +0100

kwstyle (1.0.1+git3224cf2-1) unstable; urgency=medium

  * New upstream release. Now hosted at https://github.com/Kitware/KWStyle.
  * Fix "FTBFS with GCC 6: no match for" by new upstream release
    (Closes: #811822)
  * New maintainer (Closes: #786984).
  * Remove get-orig-source. Pristine tar can be generated from pristine-tar
    branch.
  * Increase debhelper compatibility to v9.
  * debian/control: Change upstream URL.
  * debian/control: Fix typos in description.
  * debian/copyright: Update after upstream code review and format.
  * debian/copyright: Change source URL.
  * debian/copyright: Add myself to copyright for Debian packaging.
  * debian/rules: Remove workaround for old CMake bug.
  * debian/rules: Do not override default debhelper CMake arguments.
  * debian/rules: Remove useless lines.
  * debian/rules: Enable hardening build flags.
  * Update man page KWStyle(1).

 -- Benjamin Eikel <debian@eikel.org>  Sun, 06 Mar 2016 12:57:08 +0100
