## kwstyle 1.0.1+git3224cf2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,14 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.4)
+
+FOREACH(p
+    CMP0003
+    CMP0026
+    CMP0054
+    )
+  IF(POLICY ${p})
+    CMAKE_POLICY(SET ${p} NEW)
+  ENDIF()
+ENDFOREACH()
 
 PROJECT(KWStyle)
 
@@ -36,6 +43,7 @@
 INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_BINARY_DIR}
 ${KWStyle_BINARY_DIR}/Utilities
+${KWStyle_SOURCE_DIR}/Utilities
 )
 
 SET(KWStyle_HDRS
@@ -77,6 +85,8 @@
 kwsCheckVariables.cxx
 kwsCheckMemberFunctions.cxx
 kwsCheckFunctions.cxx
+kwsCheckUsingDirectives.cxx
+kwsCheckRelativePathInInclude.cxx
 )
 
 SUBDIRS(Utilities)
@@ -94,15 +104,9 @@
 ADD_EXECUTABLE(KWStyle kwsStyle.cxx)
 TARGET_LINK_LIBRARIES(KWStyle KWStyleLib kwssys)
 
-# Move the executable to the top binary tree
-GET_TARGET_PROPERTY(EXECUTABLE_PATH KWStyle LOCATION)
-GET_FILENAME_COMPONENT(EXECUTABLE_NAME ${EXECUTABLE_PATH} NAME)
-
-ADD_CUSTOM_COMMAND(
-   TARGET KWStyle
-   POST_BUILD
-   COMMAND ${CMAKE_COMMAND} -E copy ${EXECUTABLE_PATH} ${KWStyle_BINARY_DIR}/${EXECUTABLE_NAME}
- )
+ADD_CUSTOM_COMMAND(TARGET KWStyle POST_BUILD COMMAND "${CMAKE_COMMAND}" -E copy 
+     "$<TARGET_FILE:KWStyle>" "${KWStyle_BINARY_DIR}/${EXECUTABLE_NAME}"
+  COMMENT "Move the executable to the top binary tree")
 
 # Installation file
 INSTALL(TARGETS KWStyle
@@ -123,7 +127,7 @@
 
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "KWStyle")
 SET(CPACK_PACKAGE_VENDOR "Kitware Inc.")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/ReadMe.txt")
+SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/Copyright.txt")
 SET(CPACK_PACKAGE_VERSION_MAJOR "1")
 SET(CPACK_PACKAGE_VERSION_MINOR "0")
