=== Testing/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
 
 ENDMACRO(ADD_TEST_FROM_BUG_TRACKER BUG_NUMBER FILENAME)
 
+ADD_TEST_FROM_BUG_TRACKER(kwsTabsTest test.cxx)
 ADD_TEST_FROM_BUG_TRACKER(0001 test.cpp)
 ADD_TEST_FROM_BUG_TRACKER(4204 test.cpp)
 ADD_TEST_FROM_BUG_TRACKER(4227 test.cpp)
@@ -65,3 +66,4 @@
 ADD_TEST_FROM_BUG_TRACKER(9937 test.cxx)
 ADD_TEST_FROM_BUG_TRACKER(9938 test.cxx)
 ADD_TEST_FROM_BUG_TRACKER(9939 test.cxx)
+ADD_TEST_FROM_BUG_TRACKER(10872 test.cxx)
