=== debian/control ===
Source: kwstyle
Maintainer: Benjamin Eikel <debian@eikel.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/kwstyle.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/kwstyle.git
Homepage: https://kitware.github.io/KWStyle/

Package: kwstyle
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Style checker for source code
 KWStyle is integrated in the software process to ensure that the code written
 by several users is consistent and can be viewed/printed as it was written by
 one person.
 .
 KWStyle is primarily checking C/C++ source code but can be easily extended to
 other languages. It assumes that the code is syntactically correct, i.e., it 
 compiles on a standard compiler.
