=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

pkg_run = kwstyle

override_dh_install:
	dh_installman -p$(pkg_run) debian/KWStyle.1
	dh_installdocs -p$(pkg_run) Web
