=== Utilities/CMakeLists.txt ===
#-----------------------------------------------------------------------------
# Create the kwsys library for ITK.
set(KWSYS_NAMESPACE kwssys)
set(KWSYS_USE_SystemTools 1)
set(KWSYS_USE_RegularExpression 1)
set(KWSYS_USE_Directory 1)
set(KWSYS_USE_Base64 1)
set(KWSYS_USE_FundamentalType 1)
set(KWSYS_USE_CommandLineArguments 1)
set(KWSYS_USE_Process 1)
set(KWSYS_USE_DynamicLoader 1)
set(KWSYS_USE_Glob 1)
set(KWSYS_USE_Registry 1)
set(KWSYS_HEADER_ROOT ${KWStyle_BINARY_DIR}/Utilities)
set(KWSYS_PROPERTIES_CXX ${KWStyle_LIBRARY_PROPERTIES})

# Do not install header
set(KWStyle_INSTALL_NO_DEVELOPMENT 1)

set(KWSYS_LIBRARY_INSTALL_DIR)
if(NOT KWStyle_INSTALL_NO_LIBRARIES)
  set(KWSYS_LIBRARY_INSTALL_DIR ${KWStyle_INSTALL_LIB_DIR})
endif()
set(KWSYS_HEADER_INSTALL_DIR)
if(NOT KWStyle_INSTALL_NO_DEVELOPMENT)
  set(KWSYS_HEADER_INSTALL_DIR ${KWStyle_INSTALL_INCLUDE_DIR}/Utilities)
endif()
set(KWSYS_INSTALL_COMPONENT_NAME_RUNTIME RuntimeLibraries)
set(KWSYS_INSTALL_COMPONENT_NAME_DEVELOPMENT Development)
add_subdirectory(KWSys)
