=== debian/changelog ===
kwstyle (1.1.0~git20200506.b253a2b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113091)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:38:09 +0300

kwstyle (1.1.0~git20200506.b253a2b-1) unstable; urgency=medium

  * New upstream version 1.1.0~git20200506.b253a2b from
    https://github.com/Kitware/KWStyle.
  * Fix "new version avaiable" by new upstream release
    (Closes: #926378)
  * Standards-Version: 4.5.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add basic autopkgtest.
  * Add build dependency on libboost-dev and remove upstream's boost. 
  * Add a watch file.

 -- Benjamin Eikel <debian@eikel.org>  Thu, 21 May 2020 14:12:38 +0200
