=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.1.0~git%cd.%h" \
https://github.com/Kitware/KWStyle.git \
HEAD debian
